summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog11
-rw-r--r--lib/cgi-lib.rb2
-rw-r--r--lib/getopts.rb2
-rw-r--r--lib/importenv.rb2
-rw-r--r--lib/parsearg.rb2
-rw-r--r--test/rss/test_content.rb2
-rw-r--r--test/rss/test_dublincore.rb2
-rw-r--r--test/rss/test_syndication.rb2
-rw-r--r--test/rss/test_trackback.rb2
9 files changed, 18 insertions, 9 deletions
diff --git a/ChangeLog b/ChangeLog
index 1fb2747..fadedef 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,15 @@
+Wed Feb 25 20:44:45 2004 Nobuyoshi Nakada <nobu@ruby-lang.org>
+
+ * lib/cgi-lib.rb, lib/getopts.rb, lib/importenv.rb, lib/parsearg.rb:
+ warn with caller position.
+
+ * test/rss/test_content.rb, test/rss/test_dublincore.rb,
+ test/rss/test_syndication.rb, test/rss/test_trackback.rb: use cgi
+ instead of cgi-lib.
+
Tue Feb 24 18:42:03 Hirokazu Yamamoto <ocean@m2.ccsnet.ne.jp>
- * dir.c (glob_helper): '**/' should not match leading period
+ * dir.c (glob_helper): '**/' should not match leading period
unless File::FNM_DOTMATCH is set. (like '*/') [ruby-dev:23014]
Tue Feb 24 18:03:14 2004 Nobuyoshi Nakada <nobu@ruby-lang.org>
diff --git a/lib/cgi-lib.rb b/lib/cgi-lib.rb
index 33c7326..d6b60d6 100644
--- a/lib/cgi-lib.rb
+++ b/lib/cgi-lib.rb
@@ -1,4 +1,4 @@
-warn "Warning: cgi-lib is deprecated after Ruby 1.8.1; use cgi instead"
+warn "Warning:#{caller[0].sub(/:in `.*'\z/, '')}: cgi-lib is deprecated after Ruby 1.8.1; use cgi instead"
=begin
diff --git a/lib/getopts.rb b/lib/getopts.rb
index 1cd6d2f..924ba5b 100644
--- a/lib/getopts.rb
+++ b/lib/getopts.rb
@@ -15,7 +15,7 @@
# rewritten by Akinori MUSHA <knu@ruby-lang.org>
#
-warn "Warning: getopts is deprecated after Ruby 1.8.1; use optparse instead"
+warn "Warning:#{caller[0].sub(/:in `.*'\z/, '')}: getopts is deprecated after Ruby 1.8.1; use optparse instead"
$RCS_ID=%q$Header$
diff --git a/lib/importenv.rb b/lib/importenv.rb
index c47fc1f..8e1ba33 100644
--- a/lib/importenv.rb
+++ b/lib/importenv.rb
@@ -7,7 +7,7 @@
# $USER = "matz"
# p ENV["USER"]
-warn "Warning: importenv is deprecated after Ruby 1.8.1 (no replacement)"
+warn "Warning:#{caller[0].sub(/:in `.*'\z/, '')}: importenv is deprecated after Ruby 1.8.1 (no replacement)"
for k,v in ENV
next unless /^[a-zA-Z][_a-zA-Z0-9]*/ =~ k
diff --git a/lib/parsearg.rb b/lib/parsearg.rb
index 9d58be9..9c67aca 100644
--- a/lib/parsearg.rb
+++ b/lib/parsearg.rb
@@ -10,7 +10,7 @@
#
#
-warn "Warning: parsearg is deprecated after Ruby 1.8.1; use optparse instead"
+warn "Warning:#{caller[0].sub(/:in `.*'\z/, '')}: parsearg is deprecated after Ruby 1.8.1; use optparse instead"
$RCS_ID=%q$Header$
diff --git a/test/rss/test_content.rb b/test/rss/test_content.rb
index b087250..aa532ea 100644
--- a/test/rss/test_content.rb
+++ b/test/rss/test_content.rb
@@ -1,7 +1,7 @@
# -*- tab-width: 2 -*- vim: ts=2
require "test/unit"
-require "cgi-lib"
+require "cgi"
require "rexml/document"
require "rss/1.0"
diff --git a/test/rss/test_dublincore.rb b/test/rss/test_dublincore.rb
index 16c458f..0f90054 100644
--- a/test/rss/test_dublincore.rb
+++ b/test/rss/test_dublincore.rb
@@ -1,7 +1,7 @@
# -*- tab-width: 2 -*- vim: ts=2
require "test/unit"
-require "cgi-lib"
+require "cgi"
require "rexml/document"
require "rss/1.0"
diff --git a/test/rss/test_syndication.rb b/test/rss/test_syndication.rb
index 1eb62e0..22fa30c 100644
--- a/test/rss/test_syndication.rb
+++ b/test/rss/test_syndication.rb
@@ -1,7 +1,7 @@
# -*- tab-width: 2 -*- vim: ts=2
require "test/unit"
-require "cgi-lib"
+require "cgi"
require "rexml/document"
require "rss/1.0"
diff --git a/test/rss/test_trackback.rb b/test/rss/test_trackback.rb
index 936f368..56a5bf4 100644
--- a/test/rss/test_trackback.rb
+++ b/test/rss/test_trackback.rb
@@ -1,7 +1,7 @@
# -*- tab-width: 2 -*- vim: ts=2
require "test/unit"
-require "cgi-lib"
+require "cgi"
require "rexml/document"
require "rss/1.0"